View Issue Details

IDProjectCategoryView StatusLast Update
0032810Open CASCADEOCCT:Codingpublic2022-02-05 17:22
Reporteraml Assigned Toaml  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version6.3.1 
Target Version7.7.0 
Summary0032810: Coding - missing Standard_EXPORT in Standard_ErrorHandler
Description  class Callback
  {
  public:
    DEFINE_STANDARD_ALLOC

    //! Registers this callback object in the current error handler (if found).
    void RegisterCallback(); // <- here

    //! Unregisters this callback object from the error handler.
    void UnregisterCallback(); // <- here

...

It seems these methods are not used in the OCCT itself, that is why no error is generated. gmsh library cannot be built with OCCT due to unresolved externals.
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0026937 closedapn Community Eliminate NO_CXX_EXCEPTION macro support 
related to 0027562 closedbugmaster Open CASCADE Coding - avoid exporting of inline methods 
has duplicate 0032642 closedbugmaster Open CASCADE Coding - missing Standard_EXPORT in public interface of Standard_ErrorHandler 

Activities

git

2022-01-28 18:40

administrator   ~0106656

Branch CR32810 has been created by aml.

SHA-1: 0145ff170b53803d6a748f0815d9d478062f180d


Detailed log of new commits:

Author: aml
Date: Fri Jan 28 18:39:49 2022 +0300

    0032810: Coding - missing Standard_EXPORT in Standard_ErrorHandler

git

2022-01-31 06:57

administrator   ~0106676

Branch CR32810 has been updated forcibly by aml.

SHA-1: 4c11f1c2a840e0f8b9cdc511a4c1f2083890edef

aml

2022-01-31 08:23

developer   ~0106678

Dear Kirill,

Please take a look at the CR32810 branch.

Jenkins job is:
http://jenkins-test-occt/view/CR32810-master-aml/view/ALL/

kgv

2022-01-31 09:46

developer   ~0106681

#if defined(OCC_CONVERT_SIGNALS)

Standard_ErrorHandler::Callback::Callback ()

These methods should be marked by Standard_EXPORT only when OCC_CONVERT_SIGNALS defined.

  protected:
    //! Empty constructor
    Callback();

Shouldn't be constructor exported as well?

git

2022-01-31 11:08

administrator   ~0106683

Branch CR32810 has been updated by aml.

SHA-1: 5b3c74683b5d568b9a53e8660cc910c32ca09bce


Detailed log of new commits:

Author: aml
Date: Mon Jan 31 11:08:09 2022 +0300

    # Remarks.

git

2022-01-31 11:23

administrator   ~0106686

Branch CR32810 has been updated forcibly by aml.

SHA-1: 64296582bc63cd57a8f6398dc988027efd949c25

aml

2022-01-31 12:26

developer   ~0106690

Fixed.

smoskvin

2022-02-05 15:31

administrator   ~0106753

Combination -
OCCT branch : IR-2022-02-04
master SHA - ae38730d3520fc8d0fbe4a3b9a97afd0cebe6df8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-04 SHA - a5b54e979c07dce0b82803d56bc5a21ddfc8c739
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18587.970000000663 / 18543.660000000695 [+0.24%]
Products
Total CPU difference: 11726.350000000115 / 11695.81000000013 [+0.26%]
Windows-64-VC14:
OCCT
Total CPU difference: 20311.71875 / 20351.53125 [-0.20%]
Products
Total CPU difference: 13174.703125 / 13126.203125 [+0.37%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-05 17:22

administrator   ~0106765

Branch CR32810 has been deleted by mnt.

SHA-1: 64296582bc63cd57a8f6398dc988027efd949c25

Related Changesets

occt: master 59cfb82b

2022-01-28 18:39:49

aml


Committer: smoskvin Details Diff
0032810: Coding - missing Standard_EXPORT in Standard_ErrorHandler Affected Issues
0032810
mod - src/Standard/Standard_ErrorHandler.hxx Diff File

Issue History

Date Modified Username Field Change
2022-01-28 18:36 aml New Issue
2022-01-28 18:36 aml Assigned To => aml
2022-01-28 18:39 aml Description Updated
2022-01-28 18:40 git Note Added: 0106656
2022-01-31 06:57 git Note Added: 0106676
2022-01-31 08:23 aml Assigned To aml => kgv
2022-01-31 08:23 aml Status new => resolved
2022-01-31 08:23 aml Note Added: 0106678
2022-01-31 09:46 kgv Note Added: 0106681
2022-01-31 09:47 kgv Relationship added has duplicate 0032642
2022-01-31 09:47 kgv Assigned To kgv => aml
2022-01-31 09:47 kgv Status resolved => assigned
2022-01-31 09:49 kgv Product Version 7.6.0 => 6.3.1
2022-01-31 09:54 kgv Relationship added related to 0026937
2022-01-31 09:55 kgv Relationship added related to 0027562
2022-01-31 11:08 git Note Added: 0106683
2022-01-31 11:23 git Note Added: 0106686
2022-01-31 12:26 aml Assigned To aml => kgv
2022-01-31 12:26 aml Status assigned => resolved
2022-01-31 12:26 aml Note Added: 0106690
2022-01-31 12:29 kgv Assigned To kgv => bugmaster
2022-01-31 12:29 kgv Status resolved => reviewed
2022-02-05 15:31 smoskvin Status reviewed => tested
2022-02-05 15:31 smoskvin Note Added: 0106753
2022-02-05 15:33 smoskvin Test case number => Not required
2022-02-05 17:13 smoskvin Changeset attached => occt master 59cfb82b
2022-02-05 17:13 aml Assigned To bugmaster => aml
2022-02-05 17:13 aml Status tested => verified
2022-02-05 17:13 aml Resolution open => fixed
2022-02-05 17:22 git Note Added: 0106765